2017-10-22 03:44 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002483NetSurfDevelopmentpublic2017-10-16 23:42
Reporternpnth 
Assigned To 
SeverityminorReproducibilityalways 
StatusclosedResolutionopen 
Platformx86_64OSGentoo LinuxOS VersionRolling
Product Version3.6 
Target VersionFixed in Version3.7 
Summary0002483: Build failure since e8a9e3744523671228fef385ce7e1e11f93283b0 with LibreSSL
DescriptionLibreSSL sets OPENSSL_VERSION_NUMBER to 0x20000000L, but does not necessarily follow OpenSSL's feature changes. As a result, commit e8a9e3744523671228fef385ce7e1e11f93283b0 thinks builds with LibreSSL should use OpenSSL 1.1.0-style X509 certificate handling, which LibreSSL doesn't provide.
Steps To ReproduceUse LibreSSL (version 2.5.0 has been observed with this issue), attempt to build.
Additional InformationLibreSSL defines LIBRESSL_VERSION_NUMBER. Perhaps the check could be changed to

    #if (OPENSSL_VERSION_NUMBER < 0x1010000fL) || defined(LIBRESSL_VERSION_NUMBER)

? I have checked this locally, and it seems to work.
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #
URL of problem page
Attached Files

-Relationships
+Relationships

-Notes
Vincent Sanders

~0001420

Vincent Sanders (administrator)

Thanks for the bug report and analysis, I have independently found the issue and resolved it. do let me know if this does not fix it for you though.

http://source.netsurf-browser.org/netsurf.git/commit/?id=3f88c12315556d6f5f928c7e6a5e56357899ece7
Vincent Sanders

~0001676

Vincent Sanders (administrator)

Thankyou for your report, this has been resolved in the 3.7 release
+Notes

-Issue History
Date Modified Username Field Change
2016-11-21 02:53 npnth New Issue
2016-11-21 22:46 Vincent Sanders Note Added: 0001420
2016-11-21 22:46 Vincent Sanders Status new => resolved
2016-11-21 22:46 Vincent Sanders Fixed in Version => 3.7
2017-10-16 23:42 Vincent Sanders Status resolved => closed
2017-10-16 23:42 Vincent Sanders Note Added: 0001676
+Issue History